Wallet

Get network status (congestion + fee metric per chain)

Returns **network status** per chain (congestion and main fee metric). Use to show network health before sending transactions. Same data as GET /fees but trimmed to congestion + gasPriceGwei (EVM) or satPerVb (UTXO) and networkFee.

AuthPublic
GroupWallet
Rate limitSee Rate Limits
GET/api/wallet/network-status

SDK setup

Create a client instance. No authentication is required for this endpoint.

import { Configuration, WalletApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
});

const wallet = new WalletApi(configuration);
import { Configuration, WalletApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
});

const wallet = new WalletApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await wallet.getNetworkStatus();
const { data: result } = await wallet.getNetworkStatus();

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

No Request Yet

Send a request to see the full inspector

Authentication

Public — No Auth Required

Responses

200Network status per chain
json
{
  "success": true,
  "data": {
    "ethereum": {
      "congestion": "normal",
      "gasPriceGwei": 55
    },
    "bitcoin": {
      "congestion": "normal",
      "satPerVb": 14
    },
    "bsc": {
      "congestion": "low",
      "gasPriceGwei": 3
    }
  }
}
{
  "success": true,
  "data": {
    "ethereum": {
      "congestion": "normal",
      "gasPriceGwei": 55
    },
    "bitcoin": {
      "congestion": "normal",
      "satPerVb": 14
    },
    "bsc": {
      "congestion": "low",
      "gasPriceGwei": 3
    }
  }
}
Edit this page on GitHub